.section_1_map {
  position: relative;
  margin-top: 60px; }
  @media (max-width: 1200px) {
    .section_1_map {
      margin-top: 40px; } }
  @media (max-width: 450px) {
    .section_1_map {
      margin-top: 25px; } }
  @media (max-width: 400px) {
    .section_1_map {
      overflow: hidden; } }
  .section_1_map .grid_box {
    position: relative; }
  .section_1_map .text_box {
    color: #fff;
    padding-bottom: 130px; }
    @media (max-width: 1366px) {
      .section_1_map .text_box {
        padding-bottom: 100px; } }
    @media (max-width: 1050px) {
      .section_1_map .text_box {
        padding-bottom: 60px; } }
    @media (max-width: 950px) {
      .section_1_map .text_box {
        padding-bottom: 50px; } }
    @media (max-width: 850px) {
      .section_1_map .text_box {
        padding-top: 30px;
        padding-bottom: 30px;
        padding-left: 0;
        padding-right: 0;
        margin-top: 380px; } }
    @media (max-width: 550px) {
      .section_1_map .text_box {
        margin-top: 300px; } }
    @media (max-width: 400px) {
      .section_1_map .text_box {
        margin-top: 330px; } }
    .section_1_map .text_box p {
      margin: 22px 0; }
  .section_1_map::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: #173bf5;
    z-index: -2;
    top: 0;
    left: 0; }
  .section_1_map .cooper_section_1_gallery {
    position: absolute;
    z-index: -1;
    height: 100%;
    max-width: 930px;
    width: 100%;
    top: 0;
    left: -30px; }
    @media (max-width: 1366px) {
      .section_1_map .cooper_section_1_gallery {
        max-width: 800px; } }
    @media (max-width: 1250px) {
      .section_1_map .cooper_section_1_gallery {
        max-width: 700px; } }
    @media (max-width: 1150px) {
      .section_1_map .cooper_section_1_gallery {
        max-width: 600px; } }
    @media (max-width: 1050px) {
      .section_1_map .cooper_section_1_gallery {
        max-width: 550px; } }
    @media (max-width: 900px) {
      .section_1_map .cooper_section_1_gallery {
        max-width: 500px; } }
    @media (max-width: 850px) {
      .section_1_map .cooper_section_1_gallery {
        height: 400px;
        margin: auto;
        left: unset;
        max-width: 100%; } }
    @media (max-width: 550px) {
      .section_1_map .cooper_section_1_gallery {
        height: 300px;
        width: 100%; } }
    @media (max-width: 400px) {
      .section_1_map .cooper_section_1_gallery {
        height: 330px;
        width: 120%;
        max-width: 120%;
        left: 50%;
        -webkit-transform: translateX(-50%);
            -ms-transform: translateX(-50%);
                transform: translateX(-50%); } }
    .section_1_map .cooper_section_1_gallery img {
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      -o-object-fit: contain;
         object-fit: contain;
      -o-object-position: top;
         object-position: top; }
      @media (max-width: 400px) {
        .section_1_map .cooper_section_1_gallery img {
          -o-object-fit: cover;
             object-fit: cover; } }

.eulogo {
  max-width: 85px;
  -o-object-fit: contain;
     object-fit: contain;
  margin-bottom: -5px; }
  @media (max-width: 992px) {
    .eulogo {
      max-width: 65px; } }

.text_box {
  max-width: 525px;
  padding-top: 95px;
  padding-bottom: 150px;
  color: #170947;
  padding-left: 60px;
  padding-right: 150px; }
  @media (max-width: 1366px) {
    .text_box {
      padding-top: 65px;
      padding-bottom: 120px; } }
  @media (max-width: 1250px) {
    .text_box {
      padding-right: 100px; } }
  @media (max-width: 1050px) {
    .text_box {
      padding-right: 50px;
      padding-bottom: 80px; } }
  @media (max-width: 950px) {
    .text_box {
      padding-right: 20px;
      max-width: 100%; } }
  @media (max-width: 850px) {
    .text_box {
      padding-left: 0;
      padding-right: 0; } }

.grid_box {
  display: grid;
  grid-template-columns: calc(100% - 525px) 525px; }
  @media (max-width: 1050px) {
    .grid_box {
      grid-template-columns: calc(100% - 480px) 480px; } }
  @media (max-width: 950px) {
    .grid_box {
      grid-template-columns: calc(100% - 440px) 440px; } }
  @media (max-width: 850px) {
    .grid_box {
      grid-template-columns: 100%; } }

.section_2_facture {
  padding: 130px 0 0px; }
  @media (max-width: 1440px) {
    .section_2_facture {
      padding: 100px 0 0px; } }
  @media (max-width: 1050px) {
    .section_2_facture {
      padding: 70px 0 0px; } }
  @media (max-width: 850px) {
    .section_2_facture {
      padding: 40px 0 0px; } }
  .section_2_facture .text_box {
    padding-top: 25px; }
    @media (max-width: 1200px) {
      .section_2_facture .text_box {
        padding-bottom: 60px; } }
    @media (max-width: 1050px) {
      .section_2_facture .text_box {
        padding-left: 40px;
        padding-right: 100px;
        padding-top: 0; } }
    @media (max-width: 850px) {
      .section_2_facture .text_box {
        padding: 0; } }
  .section_2_facture .grid_box {
    grid-template-columns: 50% 50%; }
    @media (max-width: 992px) {
      .section_2_facture .grid_box {
        grid-template-columns: 55% 45%; } }
    @media (max-width: 850px) {
      .section_2_facture .grid_box {
        grid-template-columns: 100%; } }

.cooper_section_2_img_box {
  position: relative; }
  @media (max-width: 850px) {
    .cooper_section_2_img_box {
      max-width: 90%;
      left: 50%;
      -webkit-transform: translateX(-50%);
          -ms-transform: translateX(-50%);
              transform: translateX(-50%); } }
  .cooper_section_2_img_box .big_img {
    max-width: 700px;
    width: 100%;
    max-height: 388px;
    height: 100%;
    -o-object-fit: cover;
       object-fit: cover;
    -o-object-position: 60%;
       object-position: 60%; }
    @media (max-width: 850px) {
      .cooper_section_2_img_box .big_img {
        max-width: 100%;
        left: 55%;
        -webkit-transform: translateX(-50%);
            -ms-transform: translateX(-50%);
                transform: translateX(-50%);
        -o-object-position: unset;
           object-position: unset;
        position: relative; } }
    @media (max-width: 650px) {
      .cooper_section_2_img_box .big_img {
        max-width: 100%;
        left: 50%;
        -webkit-transform: translateX(-50%);
            -ms-transform: translateX(-50%);
                transform: translateX(-50%);
        -o-object-position: unset;
           object-position: unset;
        position: relative; } }
  .cooper_section_2_img_box .small_img {
    position: absolute;
    top: 50px;
    left: -50px;
    max-height: 302px;
    -o-object-fit: contain;
       object-fit: contain; }
    @media (max-width: 1440px) {
      .cooper_section_2_img_box .small_img {
        max-height: 250px; } }
    @media (max-width: 1250px) {
      .cooper_section_2_img_box .small_img {
        max-height: 200px; } }
    @media (max-width: 1050px) {
      .cooper_section_2_img_box .small_img {
        max-height: 150px; } }
    @media (max-width: 992px) {
      .cooper_section_2_img_box .small_img {
        top: 30px;
        left: -50px; } }
    @media (max-width: 850px) {
      .cooper_section_2_img_box .small_img {
        top: 30px;
        left: -20px; } }
    @media (max-width: 650px) {
      .cooper_section_2_img_box .small_img {
        max-height: 120px;
        left: -30px; } }
    @media (max-width: 500px) {
      .cooper_section_2_img_box .small_img {
        max-height: 90px;
        left: -20px; } }
    @media (max-width: 350px) {
      .cooper_section_2_img_box .small_img {
        max-height: 70px;
        left: -20px;
        top: 15px; } }

@media (max-width: 850px) {
  .section_3_licence {
    margin: 30px 0 0 0; } }

.section_3_licence .press_infobox {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  gap: 15px;
  -webkit-box-align: center;
  -webkit-align-items: center;
      -ms-flex-align: center;
          align-items: center;
  margin-top: 35px; }
  .section_3_licence .press_infobox .press_info_img {
    border: 2px solid #173bf5; }
    .section_3_licence .press_infobox .press_info_img img {
      max-width: 80px; }
  .section_3_licence .press_infobox .press_link {
    text-decoration: none;
    color: #173bf5; }

.section_3_licence .cooper_section_3_gallery {
  position: relative;
  max-width: 700px;
  margin-top: 40px; }
  @media (max-width: 850px) {
    .section_3_licence .cooper_section_3_gallery {
      height: 400px;
      -webkit-box-ordinal-group: 3;
      -webkit-order: 2;
          -ms-flex-order: 2;
              order: 2;
      margin: auto;
      margin-bottom: 20px;
      margin-top: 0px;
      width: 100%;
      max-width: 100%; } }
  @media (max-width: 550px) {
    .section_3_licence .cooper_section_3_gallery {
      height: 350px; } }
  @media (max-width: 400px) {
    .section_3_licence .cooper_section_3_gallery {
      height: 300px; } }
  @media (max-width: 350px) {
    .section_3_licence .cooper_section_3_gallery {
      height: 280px; } }
  .section_3_licence .cooper_section_3_gallery img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    -o-object-fit: contain;
       object-fit: contain; }
    @media (max-width: 850px) {
      .section_3_licence .cooper_section_3_gallery img {
        height: 100%; } }
    @media (max-width: 500px) {
      .section_3_licence .cooper_section_3_gallery img {
        -o-object-fit: cover;
           object-fit: cover;
        left: -20px; } }
    @media (max-width: 400px) {
      .section_3_licence .cooper_section_3_gallery img {
        left: -10px; } }

.section_3_licence .text_box {
  padding-top: 25px;
  padding-right: 120px;
  padding-bottom: 140px; }
  @media (max-width: 1366px) {
    .section_3_licence .text_box {
      padding-right: 100px; } }
  @media (max-width: 1200px) {
    .section_3_licence .text_box {
      padding-bottom: 100px; } }
  @media (max-width: 992px) {
    .section_3_licence .text_box {
      padding-bottom: 70px; } }
  @media (max-width: 850px) {
    .section_3_licence .text_box {
      -webkit-box-ordinal-group: 2;
      -webkit-order: 1;
          -ms-flex-order: 1;
              order: 1;
      padding: 0;
      padding-bottom: 20px; } }

.section_3_licence .cooper_section_3_desc {
  margin: 40px 0 20px; }
  @media (max-width: 1366px) {
    .section_3_licence .cooper_section_3_desc {
      margin: 30px 0 20px; } }
  @media (max-width: 850px) {
    .section_3_licence .cooper_section_3_desc {
      margin: 20px 0 20px; } }

.section_3_licence .cta {
  padding: 20px 45px;
  margin-bottom: 10px;
  margin-top: 5px; }

.cta_blue_border {
  border: 2px solid #173bf5;
  border-radius: 30px;
  color: #173bf5;
  padding: 20px 45px; }

.bg_gray {
  background-color: #f6f6f6;
  border-radius: 30px;
  padding: 20px 50px 65px 50px;
  text-align: center; }
  @media (max-width: 1200px) {
    .bg_gray {
      padding: 20px 50px 50px 50px; } }
  @media (max-width: 600px) {
    .bg_gray {
      padding: 20px 35px 50px 35px; } }
  @media (max-width: 400px) {
    .bg_gray {
      padding: 20px 20px 50px 20px; } }

.call_us_gray_bg {
  padding-bottom: 100px; }
  @media (max-width: 1200px) {
    .call_us_gray_bg {
      padding-bottom: 80px; } }
  @media (max-width: 850px) {
    .call_us_gray_bg {
      padding-bottom: 60px; } }
  @media (max-width: 450px) {
    .call_us_gray_bg {
      padding-bottom: 45px; } }
  .call_us_gray_bg .cta_blue_border {
    padding: 20px 35px;
    margin-top: 20px; }

.page-template-cooperation h2 {
  margin-bottom: 40px; }
  @media (max-width: 850px) {
    .page-template-cooperation h2 {
      margin-bottom: 30px; } }

.page-template-cooperation .section_1_map h2 {
  margin-bottom: 25px; }

/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
